=== debian/changelog ===
flamerobin (0.9.6.ds.1-2) unstable; urgency=medium

  * provide stylers.xml -> Solarized-light.xml link
    fixes crash in SQL editor (stylers.xml is removed for licensing reasons)
    (Closes: #1028520)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 14 Jan 2023 16:09:58 +0000

flamerobin (0.9.6.ds.1-1) unstable; urgency=medium


  * New upstream version 0.9.4
    + drop three patches applied upstream
    + patch the build for using system-wide ibase.h, make fb4 features
      optional
  * clarification of licensing terms
  * fix formatting error in IPL license text block
  * copyright: repackage excluding src/firebird/include/*
    these files are copies from FirebirdSQL and aren't needed with the patch
    for using the system-wide ibase.h
  * New upstream version 0.9.5
  * copyright: list new files, remove a bunch without clear licensing
  * New upstream version 0.9.6

 -- Damyan Ivanov <dmn@debian.org>  Fri, 23 Dec 2022 20:35:40 +0000

flamerobin (0.9.3.12-3) unstable; urgency=medium

  * add another patch fixing 128-bit support on 32-bit architectures

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Sep 2022 21:04:57 +0000

flamerobin (0.9.3.12-2) unstable; urgency=medium

  * add a patch for build-time detection of __int128 and
    std::decimal::decimal64/128
    fixes FTBFS on arm, mips and others (Closes: #1019953)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Sep 2022 15:19:19 +0000

flamerobin (0.9.3.12-1) unstable; urgency=medium

  * bump wx build-dependency to 3.2 (Closes: #1019767)
  * New upstream version 0.9.3.12
  * copyright: convert to machine-readable, bump years, add debian/*
  * declare conformance with Policy 4.6.1 (no changes needed)
  * add upstream metadata
  * patch a small typo in databasehandler.cpp

 -- Damyan Ivanov <dmn@debian.org>  Thu, 15 Sep 2022 08:50:46 +0000
