=== debian/control ===
Source: flamerobin
Section: database
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 chrpath,
 cmake,
 debhelper-compat (= 13),
 firebird-dev,
 html2text,
 libwxgtk3.2-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/flamerobin.git
Vcs-Browser: https://salsa.debian.org/debian/flamerobin
Homepage: http://www.flamerobin.org/
Rules-Requires-Root: no

Package: flamerobin
Architecture: any
Pre-Depends: dpkg (>= 1.17.14)
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: firebird3.0-server
Description: graphical database administration tool for Firebird DBMS
 FlameRobin is a graphical database administration tool for Firebird database
 management system.
 .
 Its goals are:
   - to be lightweight (small footprint, fast execution)
   - cross-platform (Linux, Windows for start, others planned too)
   - dependent only on other open source software
 .
 You need to setup firebird server on local or remote machine before using
 FlameRobin. See package firebird3.0-server.
