=== debian/changelog ===
flamerobin (0.9.10.ds.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:34 +1100

flamerobin (0.9.10.ds.2-1build1) noble; urgency=high

  * No change rebuild against libwxbase3.2-1t64, libwxgtk3.2-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:02:22 +0100

flamerobin (0.9.10.ds.2-1) unstable; urgency=medium

  * bump years of upstream copyright
  * remove generated makefiles/projects from upstream sources
  * New upstream version 0.9.10.ds.2
  * update unbundle-firebird.patch
  * patch-out inclusion of autoconf_inc.m4 by configure.ac

 -- Damyan Ivanov <dmn@debian.org>  Fri, 01 Dec 2023 19:48:52 +0000

flamerobin (0.9.9.ds.1-1) unstable; urgency=medium

  * New upstream version 0.9.9.ds.1

 -- Damyan Ivanov <dmn@debian.org>  Tue, 10 Oct 2023 05:35:44 +0000

flamerobin (0.9.7.ds.1-1) unstable; urgency=medium

  * New upstream version 0.9.7.ds.1
  * update debian/copyright
  * bump Standards-Version from 4.6.1 to 4.6.2 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 05 Oct 2023 19:48:12 +0000
