=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flamerobin
 Section: database
 Priority: optional
-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  chrpath,
  cmake,
@@ -9,7 +10,7 @@
  firebird-dev,
  html2text,
  libwxgtk3.2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/flamerobin.git
 Vcs-Browser: https://salsa.debian.org/debian/flamerobin
 Homepage: http://www.flamerobin.org/
