## flamerobin 0.9.13.ds.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -106,6 +106,7 @@
         ${SOURCEDIR}/gui/FindDialog.cpp
         ${SOURCEDIR}/gui/FRLayoutConfig.cpp
         ${SOURCEDIR}/gui/FRStyle.cpp
+        ${SOURCEDIR}/gui/FRStyleManager.cpp
         ${SOURCEDIR}/gui/GUIURIHandlerHelper.cpp
         ${SOURCEDIR}/gui/HtmlHeaderMetadataItemVisitor.cpp
         ${SOURCEDIR}/gui/HtmlTemplateProcessor.cpp
@@ -116,6 +117,7 @@
         ${SOURCEDIR}/gui/MultilineEnterDialog.cpp
         ${SOURCEDIR}/gui/PreferencesDialog.cpp
         ${SOURCEDIR}/gui/PreferencesDialogSettings.cpp
+        ${SOURCEDIR}/gui/PreferencesDialogStyle.cpp
         ${SOURCEDIR}/gui/PrivilegesDialog.cpp
         ${SOURCEDIR}/gui/ProgressDialog.cpp
         ${SOURCEDIR}/gui/ReorderFieldsDialog.cpp
@@ -227,6 +229,7 @@
         ${SOURCEDIR}/gui/FindDialog.h
         ${SOURCEDIR}/gui/FRLayoutConfig.h
         ${SOURCEDIR}/gui/FRStyle.h
+        ${SOURCEDIR}/gui/FRStyleManager.h
         ${SOURCEDIR}/gui/GUIURIHandlerHelper.h
         ${SOURCEDIR}/gui/HtmlHeaderMetadataItemVisitor.h
         ${SOURCEDIR}/gui/HtmlTemplateProcessor.h
@@ -236,6 +239,7 @@
         ${SOURCEDIR}/gui/MetadataItemPropertiesFrame.h
         ${SOURCEDIR}/gui/MultilineEnterDialog.h
         ${SOURCEDIR}/gui/PreferencesDialog.h
+        ${SOURCEDIR}/gui/PreferencesDialogStyle.h
         ${SOURCEDIR}/gui/PrivilegesDialog.h
         ${SOURCEDIR}/gui/ProgressDialog.h
         ${SOURCEDIR}/gui/ReorderFieldsDialog.h
@@ -276,6 +280,3 @@
         ${SOURCEDIR}/metadata/metadataitem.h
         ${SOURCEDIR}/metadata/MetadataItemCreateStatementVisitor.h
         ${SOURCEDIR}/metadata/MetadataItemDescriptionVisitor.h
-        ${SOURCEDIR}/metadata/MetadataItemURIHandlerHelper.h
-        ${SOURCEDIR}/metadata/MetadataItemVisitor.h
-        ${SOURCEDIR}/metadata/MetadataTemplateManager.h
