=== debian/changelog ===
flamerobin (0.9.13.ds.2-2) unstable; urgency=medium

  * watch: switch to api.github.com
  * unbundle-firebird.patch: use correct #ifdef checks (Closes: #1092635)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Jan 2025 15:31:52 +0000

flamerobin (0.9.13.ds.2-1) unstable; urgency=medium

  * New upstream version 0.9.13.ds.2
  * Adapt unbundle-firebird.patch

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Oct 2024 07:15:14 +0000

flamerobin (0.9.12.ds.2-1) unstable; urgency=medium

  * New upstream version 0.9.11.ds.2
  * Adapt unbundle-firebird.patch
  * New upstream version 0.9.12.ds.2
  * Declare conformance with Policy 4.7.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Oct 2024 08:19:00 +0000
