=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=4

opts=repacksuffix=.ds.2,\
    dversionmangle=s/\.ds\.\d+$//,\
    filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
    downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
    searchmode=plain \
        https://api.github.com/repos/mariuz/flamerobin/git/matching-refs/tags/ \
        https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
